| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
HazelnuppConstraintException Class Reference

Gets thrown something bad happens because of parameter constraints. More...

`#include <HazelnuppException.h>`

Inheritance diagram for HazelnuppConstraintException:
[legend]
Collaboration diagram for HazelnuppConstraintException:
[legend]

## Public Member Functions
| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members
Protected Attributes inherited from HazelnuppException
std::string | message

## Detailed Description

Gets thrown something bad happens because of parameter constraints.

Definition at line 42 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppConstraintException() [1/2]

HazelnuppConstraintException::HazelnuppConstraintException | ( |  | ) |
| inline

Definition at line 45 of file HazelnuppException.h.

45 : HazelnuppException() {};

## ◆ HazelnuppConstraintException() [2/2]

HazelnuppConstraintException::HazelnuppConstraintException | ( | const std::string & | msg | ) |
| inline

Definition at line 46 of file HazelnuppException.h.

46 : HazelnuppException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

HazelnuppException::HazelnuppException
HazelnuppException()
Definition: HazelnuppException.h:9